%define upstream_name    HTML-TableContentParser
%define upstream_version 0.305

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Do interesting things with the contents of tables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package pulls out the contents of a table from a string containing
HTML. Each time a table is encountered, data will be stored in an array
consisting of a hash of whatever was discovered about the table -- id,
name, border, cell spacing, etc., and of course data contained within the
table.

The format of each hash will look something like

  attributes            keys from the attributes of the <table> tag
  @{$table_headers}     array of table headers, in order found
  @{$table_rows}        rows discovered, in order

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSES META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.305.0-2.mga9
+ Revision: 1814840
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 tv <tv> 0.305.0-1.mga9
+ Revision: 1739499
- update to 0.305

* Sun Apr 04 2021 tv <tv> 0.304.0-1.mga9
+ Revision: 1713147
- update to 0.304

* Thu Feb 25 2021 tv <tv> 0.303.0-1.mga9
+ Revision: 1691329
- update to 0.303

* Sat Feb 15 2020 umeabot <umeabot> 0.302.0-2.mga8
+ Revision: 1528652
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 tv <tv> 0.302.0-1.mga8
+ Revision: 1432098
- update to 0.302

* Fri Jan 11 2019 tv <tv> 0.301.0-1.mga7
+ Revision: 1355118
- update to 0.301

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-2.mga7
+ Revision: 1283975
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 0.300.0-1.mga7
+ Revision: 1204937
- update to 0.300

* Sat Jan 13 2018 shlomif <shlomif> 0.201.0-1.mga7
+ Revision: 1192810
- New version 0.201

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-7.mga6
+ Revision: 1028328
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.130.0-6.mga6
+ Revision: 938857
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 740215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 684967
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 512082
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 368143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 23870
- cleaning spec file
- imported package perl-HTML-TableContentParser

